openapi: 3.0.2

info:
  title: SOL005 - API version interface
  description: |
    SOL005 - API version Interface IMPORTANT: Please note that this file might be not aligned to the current version of
    the ETSI Group Specification it refers to and has not been approved by the ETSI NFV ISG. In case of discrepancies the
    published ETSI Group Specification takes precedence.
    Please report bugs to https://forge.etsi.org/bugzilla/buglist.cgi?component=Nfv-Openapis
  contact:
    name: NFV-SOL WG
  license:
    name: ETSI Forge copyright notice
    url: https://forge.etsi.org/etsi-forge-copyright-notice.txt
  version: 1.0.0-impl:etsi.org:ETSI_NFV_OpenAPI:1

externalDocs:
  description: ETSI GS NFV-SOL 005 V3.3.1
  url: https://www.etsi.org/deliver/etsi_gs/NFV-SOL/001_099/005/02.07.01_60/gs_NFV-SOL005v020701p.pdf

servers:
  - url: http://127.0.0.1/
  - url: https://127.0.0.1/

paths:
  /nsd/api_versions:
    $ref: ../endpoints/SOL005_endpoints.yaml#/endpoints/api-versions

  /nsfm/api_versions:
    $ref: ../endpoints/SOL005_endpoints.yaml#/endpoints/api-versions

  /nslcm/api_versions:
    $ref: ../endpoints/SOL005_endpoints.yaml#/endpoints/api-versions

  /nspm/api_versions:
    $ref: ../endpoints/SOL005_endpoints.yaml#/endpoints/api-versions

  /vnfpkgm/api_versions:
    $ref: ../endpoints/SOL005_endpoints.yaml#/endpoints/api-versions